Bug 860714 - reliability parameter incorrectly documented
reliability parameter incorrectly documented
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
2.2
Unspecified Unspecified
unspecified Severity unspecified
: 2.2.3
: ---
Assigned To: Joshua Wulf
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 10:41 EDT by Andrew Replogle
Modified: 2015-11-15 20:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.6 Build Filter: null Build Name: Build Date: 14-09-2012 11:17:28
Last Closed: 2012-11-18 23:27:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Replogle 2012-09-26 10:41:37 EDT
Description of problem:
The parameter in documentation on this page:
https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_MRG/2/html/Messaging_Programming_Reference/chap-Reliability_and_Quality_of_Service.html#Reliable_Link

States the reliability parameter for reliable is 'reliable' when it should be 'at-least-once'.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Go to link referenced above
2. read "Specifying a reliable link" section
3. Profit!!
  
Actual results:
states 'reliable' is the reliability parameter.

Expected results:
states 'at-least-once' is the reliability parameter.

Additional info:
Comment 1 Joshua Wulf 2012-10-16 00:39:18 EDT
Update Topic 10274
Comment 2 Joshua Wulf 2012-10-25 05:49:44 EDT
Changed text to read:

... include link: {'reliability': 'at-least-once'} in the address. 

For example:
sender = session.sender("amq.topic;{link: {'reliability': 'at-least-once'}}")



http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/2/html-single/Messaging_Programming_Reference/index.html#sect-Link_Reliability
Comment 3 Frantisek Reznicek 2012-10-30 08:36:36 EDT
Changes done for this defect are ok.

There are unfortunately two more references to 'reliable' as option variable (formatted in bold) which need to be adjusted, see below...

1] 8.3. Producer Flow Control/8.3.1. Flow Control
   Flow control relies on a reliable link between
                            ^^^^^^^^ should be italic or normal instead of bold as 'reliable' is not option value just definition of concept
2] 8.6. Transactions/8.6.1. Transactions
   Note that transactions require a reliable link to function.
                                    ^^^^^^^^ should be italic or normal instead of bold as 'reliable' is not option value just definition of concept


-> ASSIGNED
Comment 5 Frantisek Reznicek 2012-11-06 05:28:01 EST
All necessary changes were added (incl. comment 3).

-> VERIFIED
Comment 6 Cheryn Tan 2012-11-18 23:27:29 EST
MRG Messaging 2.2.3 docs have been released as of 14 November 2012, the docs are now available on https://access.redhat.com/knowledge/docs/Red_Hat_Enterprise_MRG/

Note You need to log in before you can comment on or make changes to this bug.